<h2><fmt:message key='configurationivr.title'/>:</h2>

<sql:query var="rsIvr" dataSource="jdbc/ipcontactRO">
    SELECT ivr_id, ivr_name
    FROM ivr
    ORDER BY ivr_name
</sql:query>

<fmt:message key="configurationivr.labelrequired" var="val_label"/>

<script type="text/javascript">
<!--
  function validateOnSubmit() {

    if (!validatePresent(document.forms.formulario.label,'inf_label')) {
    	alert("${val_label}");
    	return false;
    }
   
    return true;
  };

//-->
</script>

<c:set var="val_label" value=""/>

<form onsubmit="return validateOnSubmit()" method="post" action="../servlet/ipcontact.fast.ConfigurationIvr" name="formulario" target="_self">
	
	<table class="query">
		<tr class="plain">
		    <td class="label"><fmt:message key="ivr.ivr"/></td>
		    <td class="query">
				<select name="ivr_id">
					<c:forEach var="row" items="${rsIvr.rows}">
						<c:if test="${row.ivr_id eq ivr_id}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${row.ivr_id}" ${selected}>${row.ivr_name}</option>
						<c:set var="selected" value=""/>
					</c:forEach>
				</select>
		    </td>
		    <td class="query"/>
   		</tr>
   	
   		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.firstmenu"/></td>
			<td class="query">
				<select name="firstmenu">
					<c:if test="${empty firstmenu}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value=""  ${selected}><fmt:message key="configurationivr.none"/></option>
					<c:set var="selected" value=""/>
					<c:forEach var="i" begin="0" end="9">
						<c:if test="${!(empty firstmenu) and firstmenu ne 'valid' and firstmenu ne 'invalid' and firstmenu eq i}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${i}"  ${selected}><fmt:message key="configurationivr.option${i}"/></option>
						<c:set var="selected" value=""/>
					</c:forEach>
					<c:if test="${firstmenu eq 'valid'}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="valid"  ${selected}><fmt:message key="configurationivr.validcard"/></option>
					<c:set var="selected" value=""/>	
					<c:if test="${firstmenu eq 'invalid'}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="invalid"  ${selected}><fmt:message key="configurationivr.invalidcard"/></option>
					<c:set var="selected" value=""/>	
				</select>
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.secondmenu"/></td>
			<td class="query">
				<select name="secondmenu">
					<c:if test="${empty secondmenu}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value=""  ${selected}><fmt:message key="configurationivr.none"/></option>
					<c:set var="selected" value=""/>	
					<c:forEach var="i" begin="0" end="9">
						<c:if test="${!(empty secondmenu) and secondmenu ne 'valid' and secondmenu ne 'invalid' and secondmenu eq i}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${i}"  ${selected}><fmt:message key="configurationivr.option${i}"/></option>
						<c:set var="selected" value=""/>
					</c:forEach>
					<c:if test="${secondmenu eq 'valid'}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="valid"  ${selected}><fmt:message key="configurationivr.validcard"/></option>
					<c:set var="selected" value=""/>
					<c:if test="${secondmenu eq 'invalid'}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>	
					<option value="invalid"  ${selected}><fmt:message key="configurationivr.invalidcard"/></option>
					<c:set var="selected" value=""/>	
				</select>
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.thirdmenu"/></td>
			<td class="query">
				<select name="thirdmenu">
					<c:if test="${empty thirdmenu}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value=""  ${selected}><fmt:message key="configurationivr.none"/></option>
					<c:set var="selected" value=""/>	
					
					<c:forEach var="i" begin="0" end="9">
						<c:if test="${!(empty thirdmenu) and thirdmenu ne 'valid' and thirdmenu ne 'invalid' and thirdmenu eq i}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${i}"  ${selected}><fmt:message key="configurationivr.option${i}"/></option>
						<c:set var="selected" value=""/>
					</c:forEach>
					<c:if test="${thirdmenu eq 'valid'}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="valid"  ${selected}><fmt:message key="configurationivr.validcard"/></option>
					<c:set var="selected" value=""/>
					<c:if test="${thirdmenu eq 'invalid'}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>	
					<option value="invalid"  ${selected}><fmt:message key="configurationivr.invalidcard"/></option>
					<c:set var="selected" value=""/>	
				</select>
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.fourthmenu"/></td>
			<td class="query">
				<select name="fourthmenu">
					<c:if test="${empty fourthmenu}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value=""  ${selected}><fmt:message key="configurationivr.none"/></option>
					<c:set var="selected" value=""/>	
				
					<c:forEach var="i" begin="0" end="9">
						<c:if test="${!(empty fourthmenu) and fourthmenu ne 'valid' and fourthmenu ne 'invalid' and fourthmenu eq i}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${i}"  ${selected}><fmt:message key="configurationivr.option${i}"/></option>
						<c:set var="selected" value=""/>
					</c:forEach>
					<c:if test="${fourthmenu eq 'valid'}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="valid"  ${selected}><fmt:message key="configurationivr.validcard"/></option>
					<c:set var="selected" value=""/>
					<c:if test="${fourthmenu eq 'invalid'}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>	
					<option value="invalid"  ${selected}><fmt:message key="configurationivr.invalidcard"/></option>
					<c:set var="selected" value=""/>	
				</select>
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.fifthmenu"/></td>
			<td class="query">
				<select name="fifthmenu">
					<c:if test="${empty fifthmenu}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value=""  ${selected}><fmt:message key="configurationivr.none"/></option>
					<c:set var="selected" value=""/>	
					
					<c:forEach var="i" begin="0" end="9">
						<c:if test="${!(empty fifthmenu) and fifthmenu ne 'valid' and fifthmenu ne 'invalid' and fifthmenu eq i}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${i}"  ${selected}><fmt:message key="configurationivr.option${i}"/></option>
						<c:set var="selected" value=""/>
					</c:forEach>
					<c:if test="${fifthmenu eq 'valid'}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="valid"  ${selected}><fmt:message key="configurationivr.validcard"/></option>
					<c:set var="selected" value=""/>
					<c:if test="${fifthmenu eq 'invalid'}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>	
					<option value="invalid"  ${selected}><fmt:message key="configurationivr.invalidcard"/></option>
					<c:set var="selected" value=""/>	
				</select>
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key='configurationivr.label'/></td>
			<td class="query">
				<input type="text" name="label" size="20" maxlength="32" value="${label}" onchange="validatePresent(this, 'inf_label');"/>
			</td>
			<td class="query" id="inf_label"><fmt:message key='ivr.required'/></td>
   		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.comment"/></td>
			<td class="query" width="100%">
				<textarea cols="40" rows="3" name="comment">${comment}</textarea>
			</td>	
			<td class="query"/>
		</tr>
		
		<c:if test="${not empty param.ivr_id}">
			<input type="hidden" name="old_ivr" value="${ivr_id}" />
		</c:if>
		<input type="hidden" name="old_option" value="${option}" />
		
		<tr class="plain">
			<td class="query" colspan="3">
				<input class="boton" type="submit" value="<fmt:message key='ivr.submit'/>" align="middle"/> 
				&nbsp;&nbsp; 
				<input class="boton" type="reset" value="<fmt:message key='ivr.reset'/>" align="middle"/>
			</td>
		</tr>
			
	</table>
</form>


