<h2><fmt:message key="configurationivr.view.title"/>: </h2>

	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="ivr.ivr"/>: </td>
			<td class="query">
			<c:if test="${!(empty ivr_id)}"> 
				<sql:query var="rsIvr" dataSource="jdbc/ipcontactRO">
    				SELECT ivr_name, ivr_id
    				FROM ivr
    				WHERE ivr_id = ${ivr_id}
				</sql:query>
				${rsIvr.rows[0].ivr_name}
			</c:if>	
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.firstmenu"/>: </td>
			<td class="query">
				<c:choose>
					<c:when test="${empty firstmenu}">
						<fmt:message key="configurationivr.none"/>
					</c:when>
					<c:when test="${firstmenu eq 'valid'}">
						<fmt:message key="configurationivr.validcard"/>
					</c:when>
					<c:when test="${firstmenu eq 'invalid'}">
						<fmt:message key="configurationivr.invalidcard"/>
					</c:when>
					<c:otherwise>
						<c:forEach var="i" begin="0" end="9">
							<c:if test="${firstmenu eq i}">
								<fmt:message key="configurationivr.option${i}"/>
							</c:if>
						</c:forEach>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.secondmenu"/>: </td>
			<td class="query">
				<c:choose>
					<c:when test="${empty secondmenu}">
						<fmt:message key="configurationivr.none"/>
					</c:when>
					<c:when test="${secondmenu eq 'valid'}">
						<fmt:message key="configurationivr.validcard"/>
					</c:when>
					<c:when test="${secondmenu eq 'invalid'}">
						<fmt:message key="configurationivr.invalidcard"/>
					</c:when>
					<c:otherwise>
						<c:forEach var="i" begin="0" end="9">
							<c:if test="${secondmenu eq i}">
								<fmt:message key="configurationivr.option${i}"/>
							</c:if>
						</c:forEach>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.thirdmenu"/>: </td>
			<td class="query">
				<c:choose>
					<c:when test="${empty thirdmenu}">
						<fmt:message key="configurationivr.none"/>
					</c:when>
					<c:when test="${thirdmenu eq 'valid'}">
						<fmt:message key="configurationivr.validcard"/>
					</c:when>
					<c:when test="${thirdmenu eq 'invalid'}">
						<fmt:message key="configurationivr.invalidcard"/>
					</c:when>
					<c:otherwise>
						<c:forEach var="i" begin="0" end="9">
							<c:if test="${thirdmenu eq i}">
								<fmt:message key="configurationivr.option${i}"/>
							</c:if>
						</c:forEach>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.fourthmenu"/>: </td>
			<td class="query">
				<c:choose>
					<c:when test="${empty fourthmenu}">
						<fmt:message key="configurationivr.none"/>
					</c:when>
					<c:when test="${fourthmenu eq 'valid'}">
						<fmt:message key="configurationivr.validcard"/>
					</c:when>
					<c:when test="${fourthmenu eq 'invalid'}">
						<fmt:message key="configurationivr.invalidcard"/>
					</c:when>
					<c:otherwise>
						<c:forEach var="i" begin="0" end="9">
							<c:if test="${fourthmenu eq i}">
								<fmt:message key="configurationivr.option${i}"/>
							</c:if>
						</c:forEach>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="configurationivr.fifthmenu"/>: </td>
			<td class="query">
				<c:choose>
					<c:when test="${empty fifthmenu}">
						<fmt:message key="configurationivr.none"/>
					</c:when>
					<c:when test="${fifthmenu eq 'valid'}">
						<fmt:message key="configurationivr.validcard"/>
					</c:when>
					<c:when test="${fifthmenu eq 'invalid'}">
						<fmt:message key="configurationivr.invalidcard"/>
					</c:when>
					<c:otherwise>
						<c:forEach var="i" begin="0" end="9">
							<c:if test="${fifthmenu eq i}">
								<fmt:message key="configurationivr.option${i}"/>
							</c:if>
						</c:forEach>
					</c:otherwise>
				</c:choose>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key='configurationivr.label'/>: </td>
			<td class="query">${label}</td>
		</tr>   	
		
		<tr class="plain">
			<td class="label"><fmt:message key='configurationivr.comment'/>: </td>
			<td class="query">${comment}</td>
		</tr>
	
	</table>   
		
	<br/>
	<br/>
	
	<form method="post" action="delConfigurationIvr.jsp" name="deleteForm" target="_self">
		<input type="hidden" name="ivr_id"/>
		<input type="hidden" name="option"/>
	</form>
	
	<form method="post" action="configurationIvr.jsp" name="editForm" target="_self">
		<input type="hidden" name="mode"/>
		<input type="hidden" name="ivr_id"/>
		<input type="hidden" name="option"/>
		<table class="query">
			<tr class="plain">
		  		<td class="query" colspan="3">
					<input class="boton" type="button" value="<fmt:message key='ivr.edit'/>" align="middle"
						onClick="javascript:editIvr('${ivr_id}', '${option}')"/>
				  		&nbsp;&nbsp; 
				 	<input class="boton" type="button" value="<fmt:message key='ivr.delete'/>" align="middle" 
						onClick="javascript:delIvr('${ivr_id}','${option}', '<fmt:message key='configurationivr.delete.question'/>')"/>
				</td>
			</tr>
		</table>	
	</form>	
		
	</table>