<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="ivr">
		<c:choose>
			<c:when test="${empty param.afterDate}">
							
			<h1><fmt:message key="report.title"/></h1>
			<form method="get" name="formulario" action="reportOpcoesIvr.jsp">
	 			<table class="query">
		            <tr class="plain">
						<td class="query"> <fmt:message key="report.from"/>: </td>
						<td class="query">
							<input name='afterDate' id='date' type='text' size='10'/>
							<input name='afterTime' id='afterTime' type='text' size='5'/>
							<script type="text/javascript">
							<!--
								if (document.formulario.date.value.length == 0)
									document.formulario.date.value=getCurrentDate();
								if (document.formulario.afterTime.value.length == 0)
									document.formulario.afterTime.value="00:00";
							-->
							</script>
							<img src='../calendar/calendar.jpg' title='<fmt:message key="report.calendar"/>' alt='<fmt:message key="report.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
						</td>
					</tr>
					<tr class="plain">
						<td class="query"> <fmt:message key="report.to"/>: </td>
						<td class="query">
							<input name='beforeDate' id='beforeDate' type='text' size='10'/>
							<input name='beforeTime' id='beforeTime' type='text' size='5'/>
							<script type="text/javascript">
							<!--
								if (document.formulario.beforeDate.value.length == 0)
									document.formulario.beforeDate.value=getCurrentDate();
								if (document.formulario.beforeTime.value.length == 0)
									document.formulario.beforeTime.value=getCurrentTime();
							-->
							</script>
							<img src='../calendar/calendar.jpg' title='<fmt:message key="report.calendar"/>' alt='<fmt:message key="report.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
						</td> 
					</tr>
					<tr class="plain">
						<td class="query"><fmt:message key="report.ivr"/>:</td>
						<td class="query">
							<c:choose>
								<c:when test="${sessionScope.role eq 'admin'}">
									<sql:query var="rs" dataSource="jdbc/ipcontactRO">
								    	SELECT ivr_name
								    	FROM ivr
								    	ORDER BY ivr_name
									</sql:query>
							    	</c:when>
							    	<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
										<sql:query var="rs" dataSource="jdbc/ipcontactRO">
								    		SELECT ivr_name
								    		FROM supervisors_ivrs
								    		INNER JOIN ivr USING (ivr_id)
								    		WHERE user_id = '${sessionScope.username}'
								    		ORDER BY ivr_name
										</sql:query>
							    	</c:when>
							</c:choose>
							
							<select name="ivr">
								<c:forEach var="row" items="${rs.rows}">
								    <option value="${row.ivr_name}">${row.ivr_name}</option>	
								</c:forEach>															
							</select>
						</td>
					</tr>
					
					<tr class="plain">
						<td class="query"> <fmt:message key="report.groupby"/>: </td>
						<td class="query">
							<select name="group">
								<option value="no"><fmt:message key="report.nogroup"/></option>
								<option value="hora"><fmt:message key="report.hour"/></option>
								<option value="dia"><fmt:message key="report.day"/></option>
							</select>
						</td>
					</tr>
					
					<tr class="plain">
			        	<td class="query" colspan="2">
			        		<input type='hidden' name='exceededTime' value='15'/>
			            	<input class="boton" type="submit" value="<fmt:message key='report.submit'/>"/>
			            </td>
			        </tr>
				</table>
			</form>
		</c:when>
				
		<c:otherwise>
		
			<jsp:useBean id="ivrReport" class="ipcontact.ivr.ReportBean" scope="page">
				<jsp:setProperty name="ivrReport" property="*"/> 
			</jsp:useBean>
		
			<c:set var='table' scope='session' value='${ivrReport.data}'/>
			
			<h1><fmt:message key="report.ivr"/>: ${param.ivr}</h1>
			
			<h3>
				<table>
					<tr>
						<td><fmt:message key="report.from"/>:</td>
						<td>${param.afterDate}</td>
						<td>${param.afterTime}</td>
					</tr>
					<tr>
						<td><fmt:message key="report.to"/>:</td>
						<td>${param.beforeDate}</td>
						<td>${param.beforeTime}</td>
					</tr>
				</table>
			</h3>
			
			<h3><fmt:message key="statistics.data.satisfactory"/>: ${ivrReport.data[0].satisfactorias}</h3>
			<h3><fmt:message key="statistics.data.nonsatisfactory"/>: ${ivrReport.data[0].no_satisfactorias}</h3>
			
			<table class="data">
				<tr class="tit">
					<c:choose>
						<c:when test="${param.group eq 'dia'}">
							<th> <fmt:message key="report.day"/> </th>
						</c:when>
						<c:when test="${param.group eq 'hora'}">
							<th> <fmt:message key="report.hour"/> </th>
						</c:when>
					</c:choose>
					<th> <fmt:message key="report.menu"/> </th>
					<th> <fmt:message key="report.comment"/> </th>
					<th> <fmt:message key="report.total"/> </th>
				</tr>
				
				<c:forEach var="row" varStatus="stat" items="${table}">				
					<c:choose>	
						<c:when test="${stat.count % 2 == 0}">
							<tr class="even">
						</c:when>
						<c:otherwise>
							<tr class="odd">
						</c:otherwise>
					</c:choose>
					<c:if test="${param.group eq 'dia' || param.group eq 'hora'}">
						<td class="data">${row.grupo}</td>
					</c:if>
					<td class="data">
						<fmt:message key="report.mainmenu"/>  
						<c:set var="data" value="${fn:split(row.opcion, '-')}"/>
						<c:set var="opt" value=""/>
						<c:forEach var="j" begin="0" end="4">
							<c:if test="${!(empty data[j])}">
								<c:choose>
									<c:when test="${data[j] eq 'i'}">
										- <fmt:message key="report.invalid"/>
										<c:set var="opt" value="i"/>  
									</c:when>
									<c:when test="${data[j] eq 't'}">
										- <fmt:message key="report.timeout"/>
										<c:set var="opt" value="t"/>
									</c:when>
									<c:when test="${data[j] eq 'valid'}">
										- <fmt:message key="report.validcard"/>  
									</c:when>
									<c:when test="${data[j] eq 'invalid'}">
										- <fmt:message key="report.invalidcard"/>  
									</c:when>
									<c:otherwise>
										<c:forEach var="i" begin="0" end="9">
											<c:if test="${data[j] eq i}">
											 - <fmt:message key="report.option${i}"/> 
											</c:if>
										</c:forEach>
									</c:otherwise>
								</c:choose>
							</c:if>
						</c:forEach>
						<c:if test="${!(empty row.etiqueta)}">
							- ${row.etiqueta}
						</c:if>
					</td>
					<td class="data">
						<c:choose>
							<c:when test="${empty row.comentario}">
								<c:if test="${!(empty opt)}">
									<c:choose>
										<c:when test="${opt eq 'i'}">
											<fmt:message key="report.commentinvalid"/>
										</c:when>
										<c:otherwise>
											<fmt:message key="report.commenttimeout"/>
										</c:otherwise>
									</c:choose>
								</c:if>
							</c:when>
							<c:otherwise>					
								${row.comentario}
							</c:otherwise>
						</c:choose>
					</td>
					<td class="data">${row.total}</td>
					</tr>
				</c:forEach>				
			</table>	
			
			<c:choose>
				<c:when test="${param.group eq 'dia'}">
					<c:set var="template" value="fast/report_ivr_day.xml"/>
				</c:when>
				<c:when test="${param.group eq 'hora'}">
					<c:set var="template" value="fast/report_ivr_hour.xml"/>
				</c:when>
				<c:otherwise>
					<c:set var="template" value="fast/report_ivr.xml"/>
				</c:otherwise>
			</c:choose>

			<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="${template}"/>
				<c:param name="reportType" value="pdf"/>
				<c:param name="filename" value="reportIvr"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/> 
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>

			<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="${template}"/>
				<c:param name="reportType" value="xls"/>
				<c:param name="filename" value="reportIvr"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>

			<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
				<c:param name="reportFile" value="landscape-report.xml"/>
				<c:param name="template" value="${template}"/>
				<c:param name="reportType" value="csv"/>
				<c:param name="filename" value="reportIvr"/>
				<c:param name="begin" value="${param.afterDate} ${param.afterTime}"/>
				<c:param name="end" value="${param.beforeDate} ${param.beforeTime}"/>
				<c:if test="${not empty sessionScope.locale}">
					<c:param name="locale" value="${sessionScope.locale}"/>
				</c:if>
			</c:url>

			<%@ include file="../include/export.jsp" %>	
			
			
		</c:otherwise>
	</c:choose>
</fmt:bundle>
</div>
</body>
</html>
	