<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>


<div id="right">
	<fmt:bundle basename="ivr">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>
	
		<c:choose>
			<c:when test="${not empty param.ivr_id}">
				<sql:query var="rs" dataSource="jdbc/ipcontact">			
					SELECT id_ura, opcion, etiqueta, comentario 
					FROM ura_position_configuration 
					WHERE id_ura = '${param.ivr_id}' and opcion = '${param.option}'
				</sql:query>
				
				<c:set var="ivr_id" value="${rs.rows[0].id_ura}"/>
				<c:set var="option" value="${rs.rows[0].opcion}"/>
				<c:set var="data" value="${fn:split(option, '-')}"/>
				<c:set var="firstmenu" value="${data[0]}"/>
				<c:set var="secondmenu" value="${data[1]}"/>
				<c:set var="thirdmenu" value="${data[2]}"/>
				<c:set var="fourthmenu" value="${data[3]}"/>
				<c:set var="fifthmenu" value="${data[4]}"/>				
				<c:set var="label" value="${rs.rows[0].etiqueta}"/>
				<c:set var="comment" value="${rs.rows[0].comentario}"/>
			</c:when>
			<c:otherwise>
				<c:set var="ivr_id" value=""/>
				<c:set var="firstmenu" value=""/>
				<c:set var="secondmenu" value=""/>
				<c:set var="thirdmenu" value=""/>
				<c:set var="fourthmenu" value=""/>
				<c:set var="fifthmenu" value=""/>
				<c:set var="label" value=""/>
				<c:set var="comment" value=""/>
			</c:otherwise>
		</c:choose>
		
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"configurationivr.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		
		<c:choose>
			<c:when test="${mode eq \"edit\"}">
			  <%@ include file="../ui/ivr/editIvr.jsp" %>
			</c:when>
			<c:when test="${mode eq \"view\"}">
			  <%@ include file="../ui/ivr/viewIvr.jsp" %>
			</c:when>
			<c:otherwise>
			  <%@ include file="../ui/ivr/viewIvr.jsp" %>
			</c:otherwise>
		</c:choose>
			
	</fmt:bundle>
</div>
</body>
</html>
		
		
		

