<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="ivr">
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				${sessionScope.message}
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		<c:choose>
			<c:when test="${empty param.filter}">
				<%@ include file="../ui/ivr/searchIvr.jsp" %>
			</c:when>
		
			<c:otherwise>
		
				<w:where var="conds">
					<c:if test="${param.filter_ivr != \"all\"}">
						<w:condition attribute="id_ura" value="${param.filter_ivr}"/>
					</c:if>
				</w:where>
		
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT  id_ura, opcion, etiqueta, comentario
					FROM ura_position_configuration
					${conds} ORDER BY id_ura
				</sql:query>
				<%@ include file="../ui/ivr/listIvr.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>

