<form method="get" action="listConfigurationIvr.jsp" name="jumpForm">
	<input type="hidden" name="filter_ivr" value="${param.filter_ivr}"/>
</form>

<form method="post" action="delConfigurationIvr.jsp" name="deleteForm" target="_self">
	<input type="hidden" name="filter_ivr" value="${param.filter_ivr}"/>
	<input type="hidden" name="ivr_id"/>
	<input type="hidden" name="option"/>	
</form>

<form method="post" action="configurationIvr.jsp" name="editForm" target="_self">
	<input type="hidden" name="mode"/>
	<input type="hidden" name="ivr_id"/>
	<input type="hidden" name="option"/>
</form>

<c:if test="${not empty sessionScope.message}">
	<c:if test="${sessionScope.messageType eq \"error\"}">
		<c:set var="class" value="error"/>
	</c:if>
	<c:if test="${sessionScope.messageType eq \"ok\"}">
		<c:set var="class" value="ok"/>
	</c:if>
	<div class="${class}">
		${sessionScope.message}
	</div>
	<c:set var="message" value="" scope="session"/>
</c:if>

<h2><fmt:message key='configurationivr.list.title'/></h2>

<table class="data">	
	<tr class="tit">
		<th><fmt:message key='ivr.ivr'/></th>
		<th><fmt:message key="configurationivr.firstmenu"/></th>
		<th><fmt:message key="configurationivr.secondmenu"/></th>
		<th><fmt:message key="configurationivr.thirdmenu"/></th>
		<th><fmt:message key="configurationivr.fourthmenu"/></th>
		<th><fmt:message key="configurationivr.fifthmenu"/></th>
		<th><fmt:message key='configurationivr.label'/></th>
		<th><fmt:message key='configurationivr.comment'/></th>
		<th/>
		<th/>
	</tr>

	<c:forEach var="row" varStatus="stat" items="${rs.rows}">
		<c:choose>
			<c:when test="${stat.count % 2 == 0}">
				<tr class="even">
			</c:when>
			<c:otherwise>
				<tr class="odd">
			</c:otherwise>
		</c:choose>	
		<td class="data">
			<sql:query var="rsIvr" dataSource="jdbc/ipcontactRO">
    			SELECT ivr_name, ivr_id
    			FROM ivr
    			WHERE ivr_id = ${row.id_ura}
			</sql:query>
			${rsIvr.rows[0].ivr_name}
		</td>
		<c:set var="data" value="${fn:split(row.opcion, '-')}"/>
		<td class="data">
			<c:choose>
				<c:when test="${empty data[0]}">
					<fmt:message key="configurationivr.none"/>
				</c:when>
				<c:when test="${data[0] eq 'valid'}">
					<fmt:message key="configurationivr.validcard"/>
				</c:when>
				<c:when test="${data[0] eq 'invalid'}">
					<fmt:message key="configurationivr.invalidcard"/>
				</c:when>
				<c:otherwise>
					<c:forEach var="i" begin="0" end="9">
						<c:if test="${data[0] eq i}">
							<fmt:message key="configurationivr.option${i}"/>
						</c:if>
					</c:forEach>
				</c:otherwise>
			</c:choose>
		</td>
		<td class="data">
			<c:choose>
				<c:when test="${empty data[1]}">
					<fmt:message key="configurationivr.none"/>
				</c:when>
				<c:when test="${data[1] eq 'valid'}">
					<fmt:message key="configurationivr.validcard"/>
				</c:when>
				<c:when test="${data[1] eq 'invalid'}">
					<fmt:message key="configurationivr.invalidcard"/>
				</c:when>
				<c:otherwise>
					<c:forEach var="i" begin="0" end="9">
						<c:if test="${data[1] eq i}">
							<fmt:message key="configurationivr.option${i}"/>
						</c:if>
					</c:forEach>
				</c:otherwise>
			</c:choose>		
		</td>
		<td class="data">
			<c:choose>
				<c:when test="${empty data[2]}">
					<fmt:message key="configurationivr.none"/>
				</c:when>
				<c:when test="${data[2] eq 'valid'}">
					<fmt:message key="configurationivr.validcard"/>
				</c:when>
				<c:when test="${data[2] eq 'invalid'}">
					<fmt:message key="configurationivr.invalidcard"/>
				</c:when>
				<c:otherwise>
					<c:forEach var="i" begin="0" end="9">
						<c:if test="${data[2] eq i}">
							<fmt:message key="configurationivr.option${i}"/>
						</c:if>
					</c:forEach>
				</c:otherwise>
			</c:choose>
		</td>
		<td class="data">
			<c:choose>
				<c:when test="${empty data[3]}">
					<fmt:message key="configurationivr.none"/>
				</c:when>
				<c:when test="${data[3] eq 'valid'}">
					<fmt:message key="configurationivr.validcard"/>
				</c:when>
				<c:when test="${data[3] eq 'invalid'}">
					<fmt:message key="configurationivr.invalidcard"/>
				</c:when>
				<c:otherwise>
					<c:forEach var="i" begin="0" end="9">
						<c:if test="${data[3] eq i}">
							<fmt:message key="configurationivr.option${i}"/>
						</c:if>
					</c:forEach>
				</c:otherwise>
			</c:choose>
		</td>
		<td class="data">
			<c:choose>
				<c:when test="${empty data[4]}">
					<fmt:message key="configurationivr.none"/>
				</c:when>
				<c:when test="${data[4] eq 'valid'}">
					<fmt:message key="configurationivr.validcard"/>
				</c:when>
				<c:when test="${data[4] eq 'invalid'}">
					<fmt:message key="configurationivr.invalidcard"/>
				</c:when>
				<c:otherwise>
					<c:forEach var="i" begin="0" end="9">
						<c:if test="${data[4] eq i}">
							<fmt:message key="configurationivr.option${i}"/>
						</c:if>
					</c:forEach>
				</c:otherwise>
			</c:choose>
		</td>
		<td class="data">${row.etiqueta}</td>
		<td class="data">${row.comentario}</td>	
		<c:if test='${sessionScope.role eq "admin"}'>
			<td class="data">
				<a class='link' href='javascript:editIvr("${row.id_ura}", "${row.opcion}")'><fmt:message key='ivr.edit'/></a>
			</td>
			<td class="data">
				<a class='link' href='javascript:delIvr("${row.id_ura}", "${row.opcion}", "<fmt:message key='configurationivr.delete.question'/>")'><fmt:message key='ivr.delete'/></a>
			</td>
		</c:if>
		</tr>
	</c:forEach>
	<c:if test="${rs.rowCount eq \"0\"}">
		<tr class="odd">
			<td class="data" colspan="4"><fmt:message key="configurationivr.empty"/></td>
		</tr>
	</c:if>
</table>